Bug 1002621 - (CVE-2016-5684) VUL-0: CVE-2016-5684: FreeImage: Library XMP Image Handling Code Execution Vulnerability
(CVE-2016-5684)
VUL-0: CVE-2016-5684: FreeImage: Library XMP Image Handling Code Execution Vu...
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Security
Leap 42.2
Other Other
: P3 - Medium : Major (vote)
: ---
Assigned To: Security Team bot
E-mail List
https://smash.suse.de/issue/173111/
CVSSv2:NVD:CVE-2016-5684:6.8:(AV:N/A...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-03 17:25 UTC by Mikhail Kasimov
Modified: 2020-09-24 12:14 UTC (History)
5 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mikhail Kasimov 2016-10-03 17:25:17 UTC
[1] News: http://blog.talosintel.com/2016/10/freeimage.html
[2] Technical Overview: http://www.talosintelligence.com/reports/TALOS-2016-0189/

Due to [2], tested versions: FreeImage 3.17.0, which is actual for Tumbleweed (see https://software.opensuse.org/package/freeimage) and Graphic repo for 42.1 and 42.2. and also 13.1, 13.2.

Also can be useful for 3.15.4 version...
Comment 1 Johannes Segitz 2016-10-04 11:02:18 UTC
you prepared the last major update and I don't find a maintainer for this package. Can you please provide an update for this package?
Comment 2 Swamp Workflow Management 2016-10-04 22:01:53 UTC
bugbot adjusting priority
Comment 3 Denisart Benjamin 2016-10-07 10:19:04 UTC
Ok but can you attach a patch or at least a link to a commit ?
Comment 4 Mikhail Kasimov 2016-10-07 10:29:41 UTC
(In reply to Denisart Benjamin from comment #3)
> Ok but can you attach a patch or at least a link to a commit ?

've written an email to FreeImage developer (http://freeimage.sourceforge.net/contact.html). Waiting for his answer.
Comment 5 Mikhail Kasimov 2016-10-07 10:36:48 UTC
(In reply to Mikhail Kasimov from comment #4)
> (In reply to Denisart Benjamin from comment #3)
> > Ok but can you attach a patch or at least a link to a commit ?
> 
> 've written an email to FreeImage developer
> (http://freeimage.sourceforge.net/contact.html). Waiting for his answer.

UPD: https://security-tracker.debian.org/tracker/CVE-2016-5684

See "Note" section:

http://freeimage.cvs.sourceforge.net/viewvc/freeimage/FreeImage/Source/FreeImage/PluginXPM.cpp?r1=1.17&r2=1.18
http://freeimage.cvs.sourceforge.net/viewvc/freeimage/FreeImage/Source/FreeImage/PluginXPM.cpp?r1=1.18&r2=1.19
Comment 6 Karol Babioch 2018-01-24 14:31:21 UTC
Fixed in Factory and Leap. Requests submitted:

https://build.opensuse.org/request/show/569250
https://build.opensuse.org/request/show/569257
Comment 7 Andreas Stieger 2018-01-31 20:24:28 UTC
done
Comment 8 Swamp Workflow Management 2018-02-01 02:07:44 UTC
openSUSE-SU-2018:0329-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1002621
CVE References: CVE-2016-5684
Sources used:
openSUSE Leap 42.3 (src):    freeimage-3.17.0-5.1
Comment 9 Alexander Bergmann 2018-04-13 15:56:25 UTC
Fixed and released.